package com.brad.j2ee.jboss.ejb;

import java.util.Arrays;
import java.util.Random;

import org.jboss.ejb.client.ClusterNodeSelector;

public class AllClusterNodeSelector implements ClusterNodeSelector {

	@Override
	public String selectNode(final String clusterName,
			final String[] connectedNodes, final String[] availableNodes) {
		System.out.println("INSTANCE " + this + " : cluster:" + clusterName
				+ " connected:" + Arrays.deepToString(connectedNodes)
				+ " available:" + Arrays.deepToString(availableNodes));

		if (availableNodes.length == 1) {
			return availableNodes[0];
		}
		final Random random = new Random();
		final int randomSelection = random.nextInt(availableNodes.length);
		return availableNodes[randomSelection];
	}

}